REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single ProposalContract record by its Id.
{ "ProposalId": 123, "ProposalCoworkerId": "<string>", "ProposalCoworkerEmail": "<string>", "ProposalCoworkerFullName": "<string>", "TariffId": 123, "TariffName": "<string>", "TariffInvoiceEvery": "<string>", "TariffInvoiceEveryWeeks": "<string>", "TariffPrice": 123, "TariffBusinessCurrencyCode": "<string>", "Desks": [ 123 ], "Variants": [ 123 ], "Price": 123, "StartDate": "<string>", "CancellationLimitDays": 123, "ContractTerm": "<string>", "CancellationDate": "<string>", "BillingDay": 123, "Quantity": 123, "DiscountCodeId": 123, "FloorPlanDeskIds": "<string>", "FloorPlanDeskNames": "<string>", "FloorPlanDeskVariantIds": "<string>", "FloorPlanDeskVariantNames": "<string>", "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
ProposalContract-Read
curl -X GET \ "https://spaces.nexudus.com/api/billing/proposalcontracts/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "ProposalId": 0, "ProposalCoworkerId": null, "ProposalCoworkerEmail": null, "ProposalCoworkerFullName": null, "TariffId": 0, "TariffName": null, "TariffInvoiceEvery": null, "TariffInvoiceEveryWeeks": null, "TariffPrice": 0, "TariffBusinessCurrencyCode": null, "Desks": [], "Variants": [], "Price": null, "StartDate": null, "CancellationLimitDays": null, "ContractTerm": null, "CancellationDate": null, "BillingDay": 0, "Quantity": 0, "DiscountCodeId": null, "FloorPlanDeskIds": null, "FloorPlanDeskNames": null, "FloorPlanDeskVariantIds": null, "FloorPlanDeskVariantNames": null, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "ProposalContract Example", "LocalizationDetails": null, "CustomFields": null }